KP: Transit positions
POST
/vedic/kp/transit-kp
curl -X POST https://api.astroway.info/v1/vedic/kp/transit-kp \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "date": "2026-05-07", "time": "12:00:00", "timezoneOffset": 0 }'const res = await fetch('https://api.astroway.info/v1/vedic/kp/transit-kp', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "date": "2026-05-07", "time": "12:00:00", "timezoneOffset": 0 }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/vedic/kp/transit-kp', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'date': "2026-05-07", 'time': "12:00:00", 'timezoneOffset': 0 },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('vedic/kp/transit-kp', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'date' => '2026-05-07', 'time' => '12:00:00', 'timezoneOffset' => 0, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Sidereal positions of all 9 grahas (incl. Ketu) at targetDate (default = now) with KP sub-lord chain attached. Use for KP transit-timing.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
date
string
time
string
timezoneOffset
Hours from UTC at the given moment, not minutes. Fractional zones are hours too: 5.5 for India, 5.75 for Nepal, -3.5 for Newfoundland. Defaults to 0, meaning UTC.
number
ayanamsaId
number
ayanamsa
Sidereal school by name. Lahiri when omitted. Equivalent to ayanamsaId; send either.
string
Example
{ "date": "2026-05-07", "time": "12:00:00", "timezoneOffset": 0}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
jd
number
ayanamsa
number
planets
Array<object>
object
graha
number
name
string
longitude
number
chain
object
longitude
number
sign
number
signName
string
signLord
number
signLordName
string
star
number
starName
string
starLord
number
starLordName
string
sub
number
subName
string
subSub
number
subSubName
string
positionInSign
number
positionInStar
number
Example
{ "ok": true, "data": { "jd": 2461168, "ayanamsa": 24.225142492142083, "planets": [ { "graha": 0, "name": "Sun", "longitude": 22.717262228598695, "chain": { "longitude": 22.717262228598713, "sign": 0, "signName": "Aries", "signLord": 4, "signLordName": "Mars", "star": 2, "starName": "Bharani", "starLord": 5, "starLordName": "Jupiter", "sub": 6, "subName": "Saturn", "subSub": 5, "subSubName": "Jupiter", "positionInSign": 22.717262228598713, "positionInStar": 9.38392889526538 } } ] }}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.